Summary:    Documentation utilities for GNOME
Name:       gnome-doc-utils
Version:    0.20.10
Release:    1%{?dist}
License:    LGPL-2.1-or-later AND GPL-2.0-or-later AND GFDL-1.1-or-later
URL:        https://wiki.gnome.org/Projects/GnomeDocUtils
Source:     https://download.gnome.org/sources/%{name}/0.20/%{name}-%{version}.tar.xz
Patch3000:  gnome-doc-utils-0.14.0-package.patch
Patch3001:  gnome-doc-utils-0.20.10-python3.patch
Patch3002:  gnome-doc-utils-0.20.10-configure-py312.patch
BuildRequires: gcc, make, intltool, intltool, gettext
BuildRequires: libxml2-devel, libxslt-devel, python3-libxml2, python3-devel

Requires: libxml2 >= 2.6.12
Requires: libxslt >= 1.1.8
Requires: python3-libxml2
Requires: automake
Requires: gnome-doc-utils-stylesheets = %{version}-%{release}

BuildArch: noarch

%description
gnome-doc-utils is a collection of documentation utilities for the GNOME
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree.

%package stylesheets
Summary: XSL stylesheets used by gnome-doc-utils
License: LGPL-2.0-or-later
Requires: docbook-dtds
Requires: pkgconfig
Requires: xml-common

%description stylesheets
The gnome-doc-utils-stylesheets package contains XSL stylesheets which
are used by the tools in gnome-doc-utils and by yelp.



%prep
%autosetup -p1



%build
%configure --disable-scrollkeeper --enable-build-utils
%make_build
sed -i s/python$/python3/g xml2po/xml2po/xml2po



%install
%make_install

sed -i -e '/^Requires:/d' %{buildroot}%{_datadir}/pkgconfig/xml2po.pc

%find_lang %{name}



%files -f %{name}.lang
%license COPYING COPYING.GPL COPYING.LGPL
%doc AUTHORS README NEWS
%{_bindir}/*
%{_datadir}/aclocal/gnome-doc-utils.m4
%{_datadir}/gnome/help/gnome-doc-make
%{_datadir}/gnome/help/gnome-doc-xslt
%{_datadir}/gnome-doc-utils
%{_mandir}/man1/xml2po.1*
%{python3_sitelib}/xml2po/
%{_datadir}/pkgconfig/gnome-doc-utils.pc
%{_datadir}/pkgconfig/xml2po.pc

%files stylesheets
%{_datadir}/xml/gnome
%{_datadir}/xml/mallard



%changelog
* Thu Dec 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.20.10-1
- initial